ru.bitel.bgbilling.kernel.contract.api.common.service

## Interface ContractPatternService

-     public interface ContractPatternService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteNamedNumber(int id)` Удаление именованного порядкового параметра шаблона договора.
    `int` | `getNextNamedNumberIndex(java.lang.String title)` Получить следующий номер для именного порядкового параметра шаблона договора.
    `java.util.List<ContractPatternNamedNumber>` | `numedNumberPatternList()` Получить список именованных порядковых параметров.
    `void` | `updateNamedNumber(ContractPatternNamedNumber namedNumber)` Обновление/создание порядкового параметра шаблона договора.

- - ### Method Detail

    - #### numedNumberPatternList

          java.util.List<ContractPatternNamedNumber> numedNumberPatternList()
                                                                     throws ru.bitel.bgbilling.common.BGException

      Получить список именованных порядковых параметров.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateNamedNumber

          void updateNamedNumber(ContractPatternNamedNumber namedNumber)
                          throws ru.bitel.bgbilling.common.BGException

      Обновление/создание порядкового параметра шаблона договора.
      Parameters:
        `namedNumber` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getNextNamedNumberIndex

          int getNextNamedNumberIndex(java.lang.String title)
                               throws ru.bitel.bgbilling.common.BGException

      Получить следующий номер для именного порядкового параметра шаблона договора.
      Parameters:
        `name` - - имя порядкового параметра
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deleteNamedNumber

          void deleteNamedNumber(int id)
                          throws ru.bitel.bgbilling.common.BGException

      Удаление именованного порядкового параметра шаблона договора.
      Parameters:
        `id` -
      Throws:
        `ru.bitel.bgbilling.common.BGException`